petsc-3.10.5 2019-03-28
Report Typos and Errors

# DMPlexRestoreMeet

Restore an array for the meet of the set of points

### Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexRestoreMeet(DM dm, PetscInt numPoints, const PetscInt points[], PetscInt *numCoveredPoints, const PetscInt **coveredPoints)

Not Collective

### Input Parameters

| dm | - The DMPlex object
| numPoints | - The number of input points for the meet
| points | - The input points

### Output Parameters

| numCoveredPoints | - The number of points in the meet
| coveredPoints | - The points in the meet

### Fortran Notes

Since it returns an array, this routine is only available in Fortran 90, and you must include petsc.h90 in your code.

The numCoveredPoints argument is not present in the Fortran 90 binding since it is internal to the array.

### Keywords

mesh

### See Also

DMPlexGetMeet(), DMPlexGetFullMeet(), DMPlexGetJoin()

### Level

intermediate

### Location

src/dm/impls/plex/plex.c
Index of all DMPLEX routines
Table of Contents for all manual pages
Index of all manual pages